summaryrefslogtreecommitdiffstats
path: root/slackware64-current/source/n/pidentd
diff options
context:
space:
mode:
Diffstat (limited to 'slackware64-current/source/n/pidentd')
-rw-r--r--slackware64-current/source/n/pidentd/doinst.sh.gz1
-rw-r--r--slackware64-current/source/n/pidentd/pidentd-3.0.19.tar.gz1
-rw-r--r--slackware64-current/source/n/pidentd/pidentd-3.0.19.tar.gz.sig1
-rwxr-xr-xslackware64-current/source/n/pidentd/pidentd.SlackBuild88
-rw-r--r--slackware64-current/source/n/pidentd/pidentd.conf.diff.gz1
-rw-r--r--slackware64-current/source/n/pidentd/slack-desc19
6 files changed, 111 insertions, 0 deletions
diff --git a/slackware64-current/source/n/pidentd/doinst.sh.gz b/slackware64-current/source/n/pidentd/doinst.sh.gz
new file mode 100644
index 000000000..954e28383
--- /dev/null
+++ b/slackware64-current/source/n/pidentd/doinst.sh.gz
@@ -0,0 +1 @@
+b412c44b5902d61e4641aeb6322b624d01166dfc
diff --git a/slackware64-current/source/n/pidentd/pidentd-3.0.19.tar.gz b/slackware64-current/source/n/pidentd/pidentd-3.0.19.tar.gz
new file mode 100644
index 000000000..81d940c57
--- /dev/null
+++ b/slackware64-current/source/n/pidentd/pidentd-3.0.19.tar.gz
@@ -0,0 +1 @@
+d7257556fc9a8338d880fb2ac8e95d4fa358f6e3
diff --git a/slackware64-current/source/n/pidentd/pidentd-3.0.19.tar.gz.sig b/slackware64-current/source/n/pidentd/pidentd-3.0.19.tar.gz.sig
new file mode 100644
index 000000000..e6556cb87
--- /dev/null
+++ b/slackware64-current/source/n/pidentd/pidentd-3.0.19.tar.gz.sig
@@ -0,0 +1 @@
+01d6b1505e14d4e1d6c60be19a492987d8be6f10
diff --git a/slackware64-current/source/n/pidentd/pidentd.SlackBuild b/slackware64-current/source/n/pidentd/pidentd.SlackBuild
new file mode 100755
index 000000000..f14fbe530
--- /dev/null
+++ b/slackware64-current/source/n/pidentd/pidentd.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=3.0.19
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-pidentd
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf pidentd-$VERSION
+tar xvf $CWD/pidentd-$VERSION.tar.gz || exit 1
+cd pidentd-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+zcat $CWD/pidentd.conf.diff.gz | patch -p1 --backup --verbose || exit
+
+CFLAGS=-O2 \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --with-des-includes=/usr/include/openssl \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+
+mkdir -p $PKG/usr/sbin
+cat src/identd > $PKG/usr/sbin/in.identd
+cat src/ibench > $PKG/usr/sbin/ibench
+cat src/idecrypt > $PKG/usr/sbin/idecrypt
+cat src/ikeygen > $PKG/usr/sbin/ikeygen
+chmod 755 $PKG/usr/sbin/*
+
+mkdir -p $PKG/etc
+cat etc/identd.conf > $PKG/etc/identd.conf.new
+
+mkdir -p $PKG/usr/man/man8
+cat doc/identd.8 | gzip -9c > $PKG/usr/man/man8/identd.8.gz
+echo ".so man8/identd.8" | gzip -9c > $PKG/usr/man/man8/in.identd.8.gz
+
+mkdir -p $PKG/usr/doc/pidentd-$VERSION
+cp -a \
+ BUGS ChangeLog FAQ INSTALL README Y2K doc/rfc* \
+ $PKG/usr/doc/pidentd-$VERSION
+chmod 644 $PKG/usr/doc/pidentd-$VERSION/*
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/pidentd-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/slackware64-current/source/n/pidentd/pidentd.conf.diff.gz b/slackware64-current/source/n/pidentd/pidentd.conf.diff.gz
new file mode 100644
index 000000000..f0faa02c4
--- /dev/null
+++ b/slackware64-current/source/n/pidentd/pidentd.conf.diff.gz
@@ -0,0 +1 @@
+18a095251ddd579f63b888afd3cd606d0d1ef6da
diff --git a/slackware64-current/source/n/pidentd/slack-desc b/slackware64-current/source/n/pidentd/slack-desc
new file mode 100644
index 000000000..3229f5e88
--- /dev/null
+++ b/slackware64-current/source/n/pidentd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pidentd: pidentd (TCP/IP IDENT protocol server)
+pidentd:
+pidentd: The identd daemon implements the IDENT protocol as specified in
+pidentd: RFC1413. When your machine connects to a remote system, the remote
+pidentd: machine may connect to your identd daemon to find out either the
+pidentd: user name or other information about the process that initiated
+pidentd: the connection. Some remote machines may choose not to allow your
+pidentd: connections if you do not provide access to an identd daemon.
+pidentd:
+pidentd: The pidentd daemon was written by Peter Eriksson.
+pidentd: